Subject: Re: Question about where to calculate the next hop

From: Anup Anil Cheruvathoor <[email-masked]>
Date: Mon, 03 Apr 2000 08:20:27 +0530

Hi Zhong,
    The label request has a field called the FEC ( Forwarding equivalence class, ref
MPLS architecure draft ). FEC decides the forwarding behaviour of the packets, for
at least the hop-by-hop LSPs. The forwarding equivalence class can currently take in
the following type of classifications:

a) A Destination Network.
b) A destination Host address.

This would be used by the downstream LSR also to identify the destination of the
Control Messages.
Reference would be found in draft-ietf-mpls-ldp-06.txt, 3.4.1 FEC TLV.

-Cheru

[email-masked] wrote:

> If the MPLS uses the conventional routing and the next hop address is calculated
> according to the routing table, the destination address, for example, IP
> destination address,  should be passed to the next hop so that next next hop
> address can be calculated, when LDP "label request" message is sent. However, in
> the "label request" message, no such a field involves the destination address.
>
> I might miss something when I read the LDP draft.  If anyone can point out how
> the next hop adress is calculated, I would appreciate it. Thank you.
>
> Zhong Hu
> Comsat Labs

--

Name : Anup Anil Chervathoor
E-mail : mailto:[email-masked]
Web : www.ficon-tech.com